#include "app_inc.h"    //应用任务公共头文件

//===========================================================================
//任务名称：task_B
//功能概要：Light_D2灯每2秒闪烁1次
//参数说明：未使用
//===========================================================================
void task_B(uint32_t initial_data)
{
    while (TRUE)
    {
		//等待Light_D2闪烁事件位被置位
		//由于该事件位被设置为自动清0，故等待到事件发生后无需调用事件位清零
		//函数手动清零
		_lwevent_wait_for(&lwevent_group1,Event_Light_D2_Blink, FALSE, NULL); 
        //Light_D2闪烁0.5s
		light_control(Light_D2,LIGHT_ON);  
        _time_delay(500);                 //延时500ms(放弃CPU控制权)
        light_control(Light_D2,LIGHT_OFF); 
    }
    
}


